/* * Copyright (c) 2012 Qualcomm Atheros, Inc. * */
#ifndef _MUSIC_SOC_H
#define _MUSIC_SOC_H

#ifdef __cplusplus
extern "C" {
#endif    /* __cplusplus */



#define music_reg_rd(_phys)    (*(volatile unsigned int *)KSEG1ADDR(_phys))
#define music_reg_wr_nf(_phys, _val) \
                    ((*(volatile unsigned int *)KSEG1ADDR(_phys)) = (_val))

#define music_reg_wr(_phys, _val) do {     \
                    music_reg_wr_nf(_phys, _val);  \
                    music_reg_rd(_phys);       \
}while(0);



#ifdef __cplusplus
}
#endif    /* __cplusplus */

#endif  /*_MUSIC_SOC_H*/
